Subject: Re: bug#48072: 28.0.50: dired-read-shell-command: handle empty input properly [PATCH]

From: Boruch Baum <[email-masked]>
Date: Tue, 27 Apr 2021 15:32:53 -0400

On 2021-04-27 22:19, Eli Zaretskii wrote:
> > Date: Tue, 27 Apr 2021 15:02:43 -0400
> > From: Boruch Baum <[email-masked]>
> >
> > Function dired-read-shell-command was accepting an empty input. This is
> > a bug because it then passes the empty input as a legitimate command
> > which is silently processed (in error) by dired, eventually to return a
> > completion message.
>
> I'm not sure we want to disallow this.

Well, that's not anything for me to respond to.

>  (Wasn't there a similar discussion recently?)

I don't follow the mailing lists, so I have no idea.

> > validates the entered command as a valid shell executable.
>
> This is certainly a mistake: a valid shell command doesn't have to be
> a file that executable-find is able to find.  Shells are known to
> support all kinds of internal and magic commands.

My testing indicates otherwise.

> Thanks.

--
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0